Update a webhook
curl --request PUT \
--url https://api.bitgpt.xyz/developers/webhooks/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "example2",
"events": [
"api_key.created",
"api_key.updated"
],
"url": "https://api-beta-ha72hg.bitgpt.xyz/demo/webhook",
"name": "Updated Example Webhook",
"description": "This webhook has been updated for demonstration purposes"
}
'import requests
url = "https://api.bitgpt.xyz/developers/webhooks/{id}"
payload = {
"label": "example2",
"events": ["api_key.created", "api_key.updated"],
"url": "https://api-beta-ha72hg.bitgpt.xyz/demo/webhook",
"name": "Updated Example Webhook",
"description": "This webhook has been updated for demonstration purposes"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: 'example2',
events: ['api_key.created', 'api_key.updated'],
url: 'https://api-beta-ha72hg.bitgpt.xyz/demo/webhook',
name: 'Updated Example Webhook',
description: 'This webhook has been updated for demonstration purposes'
})
};
fetch('https://api.bitgpt.xyz/developers/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"data": {
"id": "123"
},
"error": null,
"log": null,
"validator": null,
"support_id": null,
"message": "Resource created successfully",
"env": "development"
}{
"status": 400,
"error": "Invalid email address",
"message": null,
"env": "development",
"log": {
"request_id": "req_1234567890"
},
"validator": {
"email": "Invalid email address",
"password": "Password is required"
},
"support_id": "support_uuidv7-something-else",
"data": {}
}{
"status": 401,
"error": "Invalid email address",
"message": null,
"env": "development",
"log": {
"request_id": "req_1234567890"
},
"validator": {
"email": "Invalid email address",
"password": "Password is required"
},
"support_id": "support_uuidv7-something-else",
"data": {}
}{
"status": 403,
"error": "Invalid email address",
"message": null,
"env": "development",
"log": {
"request_id": "req_1234567890"
},
"validator": {
"email": "Invalid email address",
"password": "Password is required"
},
"support_id": "support_uuidv7-something-else",
"data": {}
}Webhooks
Update a webhook
Update a specific webhook by ID
PUT
/
developers
/
webhooks
/
{id}
Update a webhook
Authorizations
Send your access token as header Authorization: Bearer {accessToken}
Your API key that starts with sk_live or sk_test. You can create yours at go.bitgpt.xyz/api-keys.
Path Parameters
Webhook ID
Body
application/json
Response
Successful webhook update response
Status code of the response
Available options:
200, 201, 202 Response data containing the requested object
Message of the response, human readable
Example:
"Resource created successfully"
API environment
Available options:
development, production Error message of the response, human readable
Example:
"Invalid email address"
Useful informaiton, not always present, to debug the response
Example:
{ "request_id": "req_1234567890" }
Validator response object, each key is the field name and value is the error message
Example:
{
"email": "Invalid email address",
"password": "Password is required"
}
Support ID linked to the response, used to identify it when talking with our team
Example:
"support_uuidv7-something-else"

